/***************************************************************************
****************************************************************************

This is a part of the xModule Source code.

Copyright (C) 2003-2004 The LS-Universe Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

****************************************************************************
****************************************************************************/

#if !defined(AFX_STDAFX_H__421A10F3_8034_429A_8FC1_250BFC9FFF00__INCLUDED_)
#define AFX_STDAFX_H__421A10F3_8034_429A_8FC1_250BFC9FFF00__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "../lsapi/AggressiveOptimize.h"

#define WIN32_LEAN_AND_MEAN		// Selten benutzte Teile der Windows-Header nicht einbinden
#define VC_EXTRALEAN

#include <afxwin.h> 

#include <fstream>
#include <string>
#include <list>

using namespace std;

class DesktopItem;

typedef list<string> StringList;
typedef list<string>::iterator StringListIterator;
typedef list<DesktopItem *> DesktopItemList;
typedef list<DesktopItem *>::iterator DesktopItemListIterator;

#include "../lsapi/lsapi.h"

#include "utility.h"
#include "verInfo.h"
#include "strsafe.h"

#define ALIGN_LEFT 0
#define ALIGN_TOP 0
#define ALIGN_CENTER 1
#define ALIGN_RIGHT 2
#define ALIGN_BOTTOM 2

void RemoveDesktopItem(string path);

#endif // !defined(AFX_STDAFX_H__421A10F3_8034_429A_8FC1_250BFC9FFF00__INCLUDED_)
